/*--------------------------------------------------------------------
 * FICHERO:  AcercaDe.c
 * OBJETIVO: Manejar el cuadro de dilogo "Acerca de"
 * AUTOR:    Pedro Reina
 * FECHA:    D.17.5.1998
 *------------------------------------------------------------------*/

/*--------------------------------------------------------------------
 * Ficheros de cabecera
 *------------------------------------------------------------------*/

#include "SpPedro.h"

/*--------------------------------------------------------------------
 * Declaracin de funciones
 *------------------------------------------------------------------*/

// Ninguna

/*--------------------------------------------------------------------
 * Definicin de macros constantes
 *------------------------------------------------------------------*/

// Ninguno

/*--------------------------------------------------------------------
 * Definicin de macros funciones
 *------------------------------------------------------------------*/

// Ninguno

/*--------------------------------------------------------------------
 * Definicin de variables globales
 *------------------------------------------------------------------*/

// Ninguna

/*--------------------------------------------------------------------
 * Definicin de funciones
 *------------------------------------------------------------------*/

/*--------------------------------------------------------------------
 * FUNCION:  ProcedimientoAcercaDe()
 * OBJETIVO: Recibir los mensajes de Windows para el cuadro de
 *           dilogo Acerca de
 *------------------------------------------------------------------*/
#pragma argsused
BOOL FAR PASCAL
ProcedimientoAcercaDe
  (
  HWND   Ventana,        // Ventana a la que se enva el mensaje
  UINT   Mensaje,        // El mensaje
  WPARAM ParametroCorto, // Informacin adicional
  LPARAM ParametroLargo  // Informacin adicional
  )
  {
  BOOL Respuesta = FALSE;

  switch ( Mensaje )
    {
    case WM_INITDIALOG:
      CentraVentana (Ventana);
      Respuesta = TRUE;
      break;

    case WM_COMMAND:
      switch ( ParametroCorto )
        {
        case IDCANCEL:
        case IDOK:
        EndDialog (Ventana, 0);
        Respuesta = TRUE;
        break;
        }
      break;
    }

  return ( Respuesta );
  }
