#---------------------------------------------------------------------
# FICHERO:    SpPedro.mak
# OBJETIVO:   Dirigir la puesta al da de SpPedro.exe
# COMPILADOR: Borland C++ 4.5
# AUTOR:      Pedro Reina
# FECHA:      L.18.5.1998
#---------------------------------------------------------------------

#---------------------------------------------------------------------
# Definicin de macros
#---------------------------------------------------------------------

Compilador = C:\Len\BC\Bin\BCC
Opciones   = -c
CompRec    = BRCC
MontTotal  = RLINK
Nombre     = SpPedro
Objetivo   = $(Nombre).exe
Cabecera   = $(Nombre).h   $(Nombre).rh
Fuente     = $(Nombre).c   AcercaDe.c   Ayuda.c   SalvaPan.c
Objeto     = $(Nombre).obj AcercaDe.obj Ayuda.obj SalvaPan.obj
Dialogo    = $(Nombre).dlg AcercaDe.dlg Ayuda.dlg
Icono      = $(Nombre).ico
Ayuda      = Autor.txt
Recurso    = $(Nombre).rc
RecursoBin = $(Nombre).res

#---------------------------------------------------------------------
# Creacin del .exe
#---------------------------------------------------------------------

$(Objetivo) : $(Objeto) $(RecursoBin)
  $(Compilador) -W $(Objeto)
  $(MontTotal) $(RecursoBin) $(Objetivo)
  COPY $(Nombre).exe $(Nombre).scr

#---------------------------------------------------------------------
# Creacin de los .obj
#---------------------------------------------------------------------

.c.obj:
  $(Compilador) $(Opciones) {$< }

#---------------------------------------------------------------------
# Creacin del .res
#---------------------------------------------------------------------

$(RecursoBin) : $(Cabecera) $(Recurso) $(Dialogo) $(Icono) $(Ayuda)
  $(CompRec) $(Recurso)